textures/power_gen/powertube_inner
{
	qer_editorimage	textures/pow_gen/plasma_gen
	qer_nocarve
	qer_trans	0.5
	surfaceparm	nonsolid
	q3map_nolightmap
	q3map_nonplanar
	q3map_splotchfix
    {
        map textures/pow_gen/plasma_gen
        blendFunc GL_ONE GL_ZERO
        glow
        rgbGen const ( 1.000000 0.501961 1.000000 )
        tcMod scroll 0 10
    }
}

textures/power_gen/tubefog2
{
	qer_editorimage	textures/pow_gen/lightning2_gen
	qer_nocarve
	qer_trans	0.5
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	q3map_nonplanar
	q3map_splotchfix
	fogparms	( 1 0.501961 1 ) 2000.0
    {
        clampmap textures/pow_gen/lightning2_gen
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        glow
        tcMod turb 0 4 0 4
        tcMod scroll 0 1
        tcMod scale 3 3
        tcMod stretch random 0 2 0 1
    }
}

textures/power_gen/tubefog3
{
	qer_editorimage	textures/pow_gen/theed_forcefield
	qer_nocarve
	qer_trans	0.9
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nonplanar
	q3map_splotchfix
    {
        map $lightmap
        tcMod turb 0 4 0 4
        tcMod scroll 0 1
        tcMod scale 3 3
        tcMod stretch random 0 2 0 1
    }
    {
        map textures/pow_gen/lightning2_gen
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod turb 0 4 0 4
        tcMod scroll 0 1
        tcMod scale 3 3
        tcMod stretch random 0 2 0 1
    }
}

textures/power_gen/static
{
	qer_editorimage	textures/pow_gen/plasma1
	q3map_nolightmap
	q3map_nonplanar
    {
        map textures/pow_gen/lightning4c
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 0.5 0 1
        tcMod scroll 0 0.3
        tcMod scale 0.1 0.1
        tcMod stretch sin 0 0.1 0 1
    }
    {
        map textures/pow_gen/lightning4c
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 0.5 0.3 1
        tcMod scroll 0 -20
    }
    {
        map textures/pow_gen/plasma1
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave sin 0 1 0 1
        tcMod scroll 0 3
    }
    {
        map textures/pow_gen/lightning4c
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave triangle 0.01 9 1 -0.2
        tcMod scroll 0 5
        tcMod scale 1 0.1
    }
}

textures/power_gen/blue_fog
{
	qer_editorimage	textures/pow_gen/purplefog
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	q3map_nonplanar
	fogparms	( 0.882353 0.976471 1 ) 7000.0
}

textures/pow_gen/reactorglass
{
	qer_trans	0.5
	surfaceparm	nonopaque
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_nolightmap
    {
        map textures/tests/glass2
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
    {
// tcMod scale 3 3

        map textures/tests/glass2
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
    {
        map textures/pow_gen/reactorglass
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.25 0 0 0
    }
}

